Bug 806009 - Trait history could not be displayed
Trait history could not be displayed
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-03-22 12:44 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-03-22 12:44:32 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 94f6790

How reproducible:always


Steps to Reproduce:
1. Inventory resource that provides some trait (for example EAP6)
2. Open Monitoring->Traits
3. Doubleclick on any trait
  
Actual results:
	Failed to draw Table [HLayout{ID: "isc_TraitsDetailView_2", width: 1290, height: 133, members: Array[1], position: "absolute", className: "normal", top: -9999, vertical: false, children: Array[1], parentElement: [VLayout ID:isc_LocatableVLayout_25], topElement: [VLayout ID:isc_CoreGUI_RootCanvas_0], tabIndex: 6025, cacheOffsetCoords: true, zIndex: 212474, memberSizes: Array[1], }].

Expected results: trait history is displayed


Additional info:
Comment 1 Charles Crouch 2012-03-22 13:01:00 EDT
I checked this on JON3.0.1 and it works fine, so this is a regression.
Comment 2 Jay Shaughnessy 2012-03-26 22:06:47 EDT
master commit 3625be03fd566e76b4c71fbb14552333e6a02078

    Bring the datasource in line with others and migrate from
    DataSourceFields to ListGridFields.  This fixes the issue and
    allows the use of standard timestamp formatting and ancestry
    handlers (for the group trait view).


Test Notes:
Be sure to test trait list and detail views, resource and group level.
Comment 3 Libor Zoubek 2012-04-01 05:51:28 EDT
verified on Version: 4.4.0-SNAPSHOT Build Number: 1202a18
Comment 4 Heiko W. Rupp 2013-08-31 06:15:25 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.